Subject: Re: Help: linking a dll which uses runtime symbol on cygwin
From: Chia-liang Kao <[email-masked]>
To: Robert Collins <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 15 Oct 2001 17:23:19 +0800

Hi Rob,

I still can't get things work, after numerous trial and error. 

Could you be so kind to modify the c example in dllhelpers-0.2.9 and
make cdll.c to call a function from usedll.c to demonstrate this?

On Sun, Sep 02, 2001 at 05:32:23PM +1000, Robert Collins wrote:
> On 30 Aug 2001 08:44:55 +0800, Chia-liang Kao wrote:
> > Anyway, to simplify and show the scenario clearly:
> > 
> > * A (main program)
> >   + links with B (libperl)
> > 
> > * C (the plugin glueware)
> >   + uses some symbols from both A and B
> >   + is loaded by B while A is running
> > 
> > on FreeBSD, I just cc -share C.o -o C.so, the unresolved symbols won't
> > make any trouble.
> > 
> > So how do I get the C.dll on cygwin?
> 
> Create an export library for A, and ensure that it exports the symbols.
> 
> PE - the win32 loader format - doesn't automatically export all the
> symbols, and unresolved symbols at link time are not allowed.

Cheers,
CLK